Bug 693844 - package-cleanup --leaves matches libreoffice
package-cleanup --leaves matches libreoffice
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
: 708801 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 14:01 EDT by Bill Nottingham
Modified: 2016-04-20 08:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-04-05 14:01:42 EDT
Description of problem:

See subject.

I know blacklists/whitelists suck, but this might be big enough to catch - we know libreoffice-* aren't going to be leaves in the library sense.

Version-Release number of selected component (if applicable):

yum-utils-1.1.30-2.fc15.noarch

How reproducible:

100%

Steps to Reproduce:
1. run 'package-cleanup --leaves'
2. see libreoffice-writer, etc. in the list
Comment 1 James Antill 2011-04-05 15:52:57 EDT
 The regex is:

                    default="(^(compat-)?lib.+|.*libs?[\d-]*$)",

...looks like the re module is perl compatible, so we can change that to:

                    default="(^(compat-)?lib(?!reoffice).+|.*libs?[\d-]*$)",

...which I think will work.
Comment 2 Bill Nottingham 2011-04-05 16:05:06 EDT
That works for me. (Wonder if this should be extended for -devel and -debuginfo?)
Comment 3 James Antill 2011-04-06 10:02:28 EDT
 Aren't -devel and -debuginfo pretty much always installed directly, and rarely required by something else?
 I added *-data to the list though.

 Longer term. someone should add yumdb.reason checking.
Comment 4 Bill Nottingham 2011-04-06 15:12:17 EDT
-devel is usually only required by other -devel packages, yes. debuginfo packages are entirely outside of dependency graphs.
Comment 5 Heiko Adams 2011-06-05 08:52:13 EDT
Is https://bugzilla.redhat.com/show_bug.cgi?id=708801 a dublicate of this bug?
Comment 6 Bill Nottingham 2011-06-06 14:49:59 EDT
*** Bug 708801 has been marked as a duplicate of this bug. ***
Comment 7 Pavel Roskin 2011-12-27 22:18:14 EST
It looks like everything that starts with "lib" and has no dependencies is matched: libertas-usb8388-firmware, libtool, liberation-sans-fonts, libreoffice-calc.  Maintaining a whitelist may be problematic.  Maybe it would be better to mark library and non-library packages as such at the build time?
Comment 8 Fedora End Of Life 2012-08-07 14:36:20 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nicola Soranzo 2012-08-08 04:59:42 EDT
Still present in Fedora 17, reopening.
Comment 10 Fedora End Of Life 2013-07-04 02:31:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-01-09 16:48:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-11-04 10:45:14 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.